//Source file: UnauthorizedApplicationException.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Application is not authorized to perform charging operations.
 *
 */
public class UnauthorizedApplicationException extends org.csapi.jr.se.am.AccountException {

    private Throwable _cause = null;

    public UnauthorizedApplicationException() {
        super(); 
    }

    public UnauthorizedApplicationException(String message) {
        super(message); 
    }

    public UnauthorizedApplicationException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnauthorizedApplicationException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnauthorizedApplicationException

