//Source file: AccountException.java
//Date: December 2004
//Account Management Interfaces and Data Types for 3GPP TS 29.198-11 V5.7.0

package org.csapi.jr.se.am;

/**
 * Account Management abstract exception
 *
 */
public class AccountException extends java.lang.Exception {

    private Throwable _cause = null;

    public AccountException() {
        super(); 
    }

    public AccountException(String message) {
        super(message); 
    }

    public AccountException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public AccountException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // AccountException

